KDE 4.7 PyKDE API Reference

- KDE's Python API

# GeoGraphicsScene Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

This is the home of all GeoGraphicsItems to be shown on the map.

## Attributes

int | s_tileZoomLevel

## Methods

| __init__ (self, QObject parent=0)
| addIdem (self, Marble.GeoGraphicsItem item)
| clear (self)
[Marble.GeoGraphicsItem] | items (self)
[Marble.GeoGraphicsItem] | items (self, Marble.GeoDataLatLonAltBox box, int maxZoomLevel)
| removeItem (self, Marble.GeoGraphicsItem item)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new instance of GeoGraphicsScene

Parameters:

  | parent | the QObject parent of the Scene

addIdem | ( | self, |
|  | Marble.GeoGraphicsItem | item
| ) |  |  |

Add an item to the GeoGraphicsScene Adds the item item to the GeoGraphicsScene

clear | ( |  | self ) |

Remove all items from the GeoGraphicsScene Removes all items from the GeoGraphicsScene

[Marble.GeoGraphicsItem] items | ( |  | self ) |

Get the list of items in the specified Box

Parameters:

  | box | The box around the items.
  | maxZoomLevel | The max zoom level of tiling

Returns:
  The list of items in the specified box in no specific order.

[Marble.GeoGraphicsItem] items | ( | self, |
|  | Marble.GeoDataLatLonAltBox | box,
|  | int | maxZoomLevel
| ) |  |  |

Get the list of items in the specified Box

Parameters:

  | box | The box around the items.
  | maxZoomLevel | The max zoom level of tiling

Returns:
  The list of items in the specified box in no specific order.

removeItem | ( | self, |
|  | Marble.GeoGraphicsItem | item
| ) |  |  |

Remove an item from the GeoGraphicsScene Removes the item item from the GeoGraphicsScene

## Attribute Documentation

int s_tileZoomLevel